# Interface Object3DHelper

interface Object3DHelper {
controllers: ObjectHelperControllers;
hooks: Subscribe<Object3DHelperEventMap>;
state: Object3DHelperState;
addControllers(controllers: ObjectHelperControllers): void;
disable(options?: { userAction?: boolean }): void;
dispose(): void;
enable(options?: { userAction?: boolean }): void;
hide(options?: { userAction?: boolean }): void;
initialHelperMatrix(): void;
setState(
state: Partial<Object3DHelperState>,
_options?: { userAction?: boolean },
): void;
show(options?: { userAction?: boolean }): void;
}

- Defined in lib/plugins/Object3DHelperPlugin/Controller.ts:62

##### Index

### Properties

controllers
hooks
state

### Methods

addControllers
disable
dispose
enable
hide
initialHelperMatrix
setState
show

## Properties

### controllers

controllers: ObjectHelperControllers = {}

- Defined in lib/plugins/Object3DHelperPlugin/Controller.ts:63

### hooks

hooks: Subscribe<Object3DHelperEventMap> = ...

- Defined in lib/plugins/Object3DHelperPlugin/Controller.ts:69

### state

state: Object3DHelperState = ...

- Defined in lib/plugins/Object3DHelperPlugin/Controller.ts:64

## Methods

### addControllers

- addControllers(controllers: ObjectHelperControllers): void

  #### Parameters

  - controllers: ObjectHelperControllers

  #### Returns void

  - Defined in lib/plugins/Object3DHelperPlugin/Controller.ts:115

### disable

- disable(options?: { userAction?: boolean }): void

  #### Parameters

  - `Optional` options: { userAction?: boolean }

  #### Returns void

  - Defined in lib/plugins/Object3DHelperPlugin/Controller.ts:88

### dispose

- dispose(): void

  #### Returns void

  - Defined in lib/plugins/Object3DHelperPlugin/Controller.ts:92

### enable

- enable(options?: { userAction?: boolean }): void

  #### Parameters

  - `Optional` options: { userAction?: boolean }

  #### Returns void

  - Defined in lib/plugins/Object3DHelperPlugin/Controller.ts:84

### hide

- hide(options?: { userAction?: boolean }): void

  #### Parameters

  - `Optional` options: { userAction?: boolean }

  #### Returns void

  - Defined in lib/plugins/Object3DHelperPlugin/Controller.ts:80

### initialHelperMatrix

- initialHelperMatrix(): void

  #### Returns void

  - Defined in lib/plugins/Object3DHelperPlugin/Controller.ts:120

### setState

- setState(
  state: Partial<Object3DHelperState>,
  _options?: { userAction?: boolean },
  ): void

  #### Parameters

  - state: Partial<Object3DHelperState>
  - `Optional`_options: { userAction?: boolean }

  #### Returns void

  - Defined in lib/plugins/Object3DHelperPlugin/Controller.ts:96

### show

- show(options?: { userAction?: boolean }): void

  #### Parameters

  - `Optional` options: { userAction?: boolean }

  #### Returns void

  - Defined in lib/plugins/Object3DHelperPlugin/Controller.ts:76